Retrieves the territory with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

sales_territory
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

description

Description of the territory

string

Required

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "b9b0f166-af26-4f02-ac2c-f774dcc152dc",
  "code": "sample string 2",
  "description": "sample string 3",
  "sales_organization_id": "27188609-b799-4e97-8d1e-8f0fabf4b3cc",
  "sales_organization_code": "sample string 5",
  "sales_organization": {
    "id": "9125ca70-83aa-4f78-b6e4-b5b7a75670a9",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "a4237c6b-4c2c-4ba9-b309-20c543ecb9f8",
    "db_currency_id": "ac5488c0-cfaf-48f1-83d8-7c16424cd81c",
    "db_language_id": "58752aaf-5fe7-49d4-b214-7a8acc7b70e8",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-05-22T06:41:04.6647422+00:00"
  },
  "modified_dateutc": "2026-05-22T06:41:04.6647422+00:00"
}